"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var core_1 = require("@material-ui/core");
var PermissionTableItem = react_1.memo(function (props) {
    var _a = react_1.useState(false), change_name = _a[0], setChangeName = _a[1];
    var _b = react_1.useState(''), permission_name = _b[0], setPermissionName = _b[1];
    var item = props.item, _c = props.item, name = _c.name, codename = _c.codename, _d = _c.active, active = _d === void 0 ? false : _d, name_plus = _c.name_plus, updatePermission = props.updatePermission, can_change = props.can_change;
    return (react_1.default.createElement("tr", null,
        react_1.default.createElement("td", null, name),
        react_1.default.createElement("td", null, codename),
        can_change &&
            react_1.default.createElement(react_1.Fragment, null,
                react_1.default.createElement("td", null,
                    react_1.default.createElement(core_1.Checkbox, { style: { margin: 0, padding: 0 }, color: 'primary', checked: active, onChange: function (event, value) {
                            updatePermission(__assign(__assign({}, item), { active: value }));
                            setChangeName(false);
                        } })),
                react_1.default.createElement("td", { onClick: function () {
                        if (active) {
                            setChangeName(true);
                            setPermissionName(name_plus);
                        }
                    }, className: active ? 'puntero' : '' }, change_name ?
                    react_1.default.createElement("input", { type: "text", value: permission_name ? permission_name : '', onChange: function (e) { return setPermissionName(e.target.value); }, onBlur: function () {
                            setChangeName(false);
                            updatePermission(__assign(__assign({}, item), { name_plus: permission_name.toUpperCase() }));
                        } }) :
                    name_plus))));
});
exports.PermissionTableItem = PermissionTableItem;
