"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var lodash_1 = require("lodash");
var validate = function (values) {
    var errors = {};
    var requiredFields = [
        'pk',
        'name'
    ];
    requiredFields.map(function (field) {
        if (!values[field]) {
            errors[field] = 'Requerido';
        }
    });
    var sizes = {
        name: 200,
        iso3: 3,
        iso2: 2,
        phone_code: 15,
        currency: 3
    };
    lodash_1.mapKeys(sizes, function (v, k) {
        if (values[k] && values[k].length > v) {
            errors[k] = "No debe tener m\u00E1s de " + v + " caracteres!";
        }
    });
    return errors;
};
exports.default = validate;
