import React from 'react';
interface IUserProfileForm {
    updateUser: (v: {}) => any;
    onLoadCities: (text: string, callback: {}) => any;
    onFetchCity: (id: number, callback: {}) => any;
    clearCities: () => any;
    initialValues?: {};
    reset?: () => any;
    submitting?: boolean;
    pristine?: boolean;
    handleSubmit?: (onChangePassword: (v: {
        password_old: string;
        password: string;
        password_2: string;
    }) => any) => any;
    error?: string;
    classes?: {
        card: string;
        error: string;
    };
}
declare let UserProfileForm: React.MemoExoticComponent<(props: IUserProfileForm) => JSX.Element>;
export { UserProfileForm };
