"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = require("../../../../common");
var validate = function (values) {
    var errors = {};
    var requiredFields = [
        'confirmar_pin',
        'pin',
    ];
    requiredFields.map(function (field) {
        if (!values[field]) {
            errors[field] = 'Requerido';
        }
    });
    if (values.confirmar_pin && values.pin && values.confirmar_pin !== values.pin) {
        errors.pin = 'No coinciden';
        errors.confirmar_pin = 'No coinciden';
    }
    if (values.pin && !common_1.REGEX_JUST_NUMBERS.test(values.pin)) {
        errors.pin = 'Debe ser sólo números';
    }
    if (values.pin && values.pin.length !== 4) {
        errors.pin = 'Debe de tener sólo 4 dígitos';
    }
    return errors;
};
exports.default = validate;
