"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var react_redux_1 = require("react-redux");
var core_1 = require("@material-ui/core");
var actions_1 = require("../../actions");
var ValidateUser = react_1.memo(function (props) {
    var _a = props.match.params, id = _a.id, key_validations = _a.key_validations, history = props.history, _b = props.redirect_link, redirect_link = _b === void 0 ? '/' : _b;
    var _c = react_1.useState(false), sended = _c[0], setSended = _c[1];
    var _d = react_1.useState(''), message = _d[0], setMessage = _d[1];
    var _e = react_1.useState(false), is_error = _e[0], setIsError = _e[1];
    var dispatch = react_redux_1.useDispatch();
    var onValidate = function () { return dispatch(actions_1.validateAccountUser(id, key_validations, {
        callback: function (res) {
            var result = res.result;
            setMessage(result);
            setSended(true);
        },
        callback_error: function (err) {
            var _a = err.response.data, _error = _a._error, is_error = _a.is_error;
            setMessage(_error);
            setIsError(is_error);
            setSended(true);
        }
    })); };
    return react_1.default.createElement("div", { className: "container pt-5 mt-5 text-center", style: { width: '400px' } },
        !sended && react_1.default.createElement(react_1.Fragment, null,
            react_1.default.createElement("div", { className: 'm-5' }, "Click al siguiente bot\u00F3n para activar su cuenta!"),
            react_1.default.createElement(core_1.Button, { color: "secondary", variant: "contained", onClick: onValidate }, "Activar Cuenta")),
        sended && react_1.default.createElement(react_1.Fragment, null,
            react_1.default.createElement("div", { style: { color: is_error ? 'red' : 'green' } }, message)),
        !is_error && sended && react_1.default.createElement(core_1.Button, { color: "primary", variant: "contained", onClick: function () { return history.push(redirect_link); } }, "Iniciar Sessi\u00F3n"));
});
exports.ValidateUser = ValidateUser;
