import { ICommonPermisions } from "../../../interfaces";
import { IGroupPermission, IPermission } from "../../app_permissions/interfaces";
export interface IUser {
    id: number;
    date_of_birth: Date;
    to_string?: string;
    profile_image_url?: string;
    first_name: string;
    last_name: string;
    email: string;
    username: string;
    password: string;
    is_superuser: boolean;
    is_active: boolean;
    is_staff: boolean;
    groups: number[] | IGroupPermission[];
    user_permissions: number[] | IPermission[];
}
export interface ICommonPermisionsUser extends ICommonPermisions {
    make_active_user?: boolean;
    make_staff_user?: boolean;
    make_superuser_user?: boolean;
    change_password_user?: boolean;
    change_pin_user?: boolean;
    change_qr_user?: boolean;
    change_profile_image_user?: boolean;
    change_profile_user?: boolean;
    change_password_other_user?: boolean;
    change_pin_other_user?: boolean;
    change_qr_other_user?: boolean;
    change_profile_image_other_user?: boolean;
    change_profile_other_user?: boolean;
    change_permission_user?: boolean;
}
