import { IAuth } from '../interfaces';
interface IAction {
    type: string;
    user: {};
    data: {
        token: string;
    };
}
declare const authenticationReducer: (state: IAuth, action: IAction) => IAuth | {
    isAuthenticated: boolean;
    isLoading: boolean;
    user: {};
    token?: string;
    my_permissions?: string | [];
    errors?: {};
} | {
    errors: {
        token: string;
    };
    token: string;
    user: {};
    isAuthenticated: boolean;
    isLoading: boolean;
    my_account: {};
    my_permissions?: string | [];
};
export { authenticationReducer };
