"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var lodash_1 = require("lodash");
var mostrarLogs = function (tipo) {
    var mostrar = true;
    if (mostrar) {
        console.log('usando base reducers');
        console.log("Entro a base reducer " + tipo);
    }
};
var baseReducer = function (actions_types, state, action, mapKey) {
    var _a, _b, _c;
    if (state === void 0) { state = {}; }
    if (mapKey === void 0) { mapKey = 'id'; }
    switch (action.type) {
        case actions_types.create:
            mostrarLogs('create');
            return __assign(__assign({}, state), (_a = {}, _a[action.payload.data.id] = action.payload.data, _a));
        case actions_types.delete:
            mostrarLogs('delete');
            // @ts-ignore
            return lodash_1.omit(state, action.payload);
        case actions_types.fetch_all:
            mostrarLogs('fetch_all');
            var result = lodash_1.mapKeys(action.payload.data, mapKey);
            var _d = action.payload.preserve_items, preserve_items_1 = _d === void 0 ? null : _d;
            if (preserve_items_1) {
                // @ts-ignore
                result = __assign(__assign({}, lodash_1.omit(result, preserve_items_1)), lodash_1.pickBy(state, function (e) { return preserve_items_1.includes(e[mapKey]); }));
            }
            return result;
        case actions_types.fetch:
            mostrarLogs('fetch');
            if (!lodash_1.isEqual(state[action.payload.data.id], action.payload.data)) {
                return __assign(__assign({}, state), (_b = {}, _b[action.payload.data.id] = action.payload.data, _b));
            }
            else {
                return state;
            }
        case actions_types.clear:
            mostrarLogs('clear');
            if (action.payload) {
                var _e = action.payload.omit_items, omit_items_1 = _e === void 0 ? null : _e;
                if (omit_items_1) {
                    // @ts-ignore
                    return lodash_1.pickBy(state, function (e) { return omit_items_1.includes(e[mapKey]); });
                }
            }
            return {};
        case actions_types.update:
            mostrarLogs('update');
            return __assign(__assign({}, state), (_c = {}, _c[action.payload.data.id] = action.payload.data, _c));
        default:
            return state;
    }
};
exports.baseReducer = baseReducer;
