import React from 'react';
import { IconName, SizeProp } from "@fortawesome/fontawesome-svg-core";
interface IDrawerListItem {
    link: string;
    text: string;
    icon: IconName;
    type: 'main' | 'nested';
    size: SizeProp;
}
declare const DrawerListItem: React.MemoExoticComponent<(props: IDrawerListItem) => JSX.Element>;
export { DrawerListItem };
