"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var Typography_1 = __importDefault(require("@material-ui/core/Typography"));
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var react_router_dom_1 = require("react-router-dom");
var DetailInfoItem = function (props) {
    var classes = props.classes, label = props.label, _a = props.text_value, text_value = _a === void 0 ? null : _a, _b = props.icon_value, icon_value = _b === void 0 ? null : _b, _c = props.className, className = _c === void 0 ? 'col-12' : _c, _d = props.link, link = _d === void 0 ? null : _d;
    return react_1.default.createElement(react_1.Fragment, null, (text_value || icon_value) && react_1.default.createElement("div", { className: className },
        react_1.default.createElement("div", { className: "row" },
            react_1.default.createElement(Typography_1.default, { variant: "body1", className: classes.texto_principal, gutterBottom: true, color: "primary" },
                react_1.default.createElement("span", null,
                    label,
                    ":")),
            text_value && react_1.default.createElement(Typography_1.default, { variant: "body1", className: classes.texto_secondario, gutterBottom: true, color: "secondary" }, link ? react_1.default.createElement(react_router_dom_1.Link, { to: link, target: '_blank' }, text_value) : text_value),
            icon_value && react_1.default.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: ['far', icon_value], className: 'mt-1 ml-2' }))));
};
exports.DetailInfoItem = DetailInfoItem;
