"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var redux_form_1 = require("redux-form");
var forms_1 = require("../../../../ui/forms");
var dialogs_1 = require("../../../../ui/dialogs");
var validate_permission_group_crud_form_1 = require("./validate_permission_group_crud_form");
var afterSubmit = function (result, dispatch) {
    dispatch(redux_form_1.reset('permissionGroupCRUDForm'));
};
var PermissionGroupCRUDForm = react_1.memo(function (props) {
    var pristine = props.pristine, submitting = props.submitting, reset = props.reset, initialValues = props.initialValues, onSubmit = props.onSubmit, onCancel = props.onCancel, handleSubmit = props.handleSubmit, singular_name = props.singular_name, modal_open = props.modal_open, error = props.error;
    return (react_1.default.createElement(dialogs_1.FormDialog, { onCancel: function () {
            onCancel();
            reset();
        }, onSubmit: handleSubmit(onSubmit), reset: reset, initialValues: initialValues, submitting: submitting, modal_open: modal_open, pristine: pristine, element_type: singular_name, fullScreen: false, error: error },
        react_1.default.createElement(forms_1.MyTextFieldSimple, { className: "col-12", label: 'Nombre del Grupo', name: 'name', case: 'U' })));
});
exports.PermissionGroupCRUDForm = PermissionGroupCRUDForm;
exports.PermissionGroupCRUDForm = PermissionGroupCRUDForm = redux_form_1.reduxForm({
    form: "permissionGroupCRUDForm",
    onSubmitSuccess: afterSubmit,
    validate: validate_permission_group_crud_form_1.validate,
    //asyncValidate,
    //asyncBlurFields: ['name'],
    enableReinitialize: true
    // @ts-ignore
})(PermissionGroupCRUDForm);
