import React from 'react';
import { IGroupPermission } from "../../interfaces";
import { ICommonPermisions } from "../../../../interfaces";
interface IPermissionGroupCRUDTable {
    permissions: ICommonPermisions;
    onSelectItemDetail: (item: IGroupPermission) => any;
    onDelete: (item: IGroupPermission) => any;
    list: {
        [index: number]: IGroupPermission;
    };
}
declare const PermissionGroupCRUDTable: React.MemoExoticComponent<(props: IPermissionGroupCRUDTable) => JSX.Element>;
export { PermissionGroupCRUDTable };
