"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var dialogs_1 = require("../../../../ui/dialogs");
var icons_1 = require("../../../../ui/icons");
var PermissionGroupCRUDTableItem = react_1.memo(function (props) {
    var item = props.item, name = props.item.name, permissions = props.permissions, onSelectItemEdit = props.onSelectItemEdit, onDelete = props.onDelete, onSelectItemDetail = props.onSelectItemDetail;
    return (react_1.default.createElement("tr", null,
        react_1.default.createElement("td", null, name),
        permissions.change && react_1.default.createElement("td", null,
            react_1.default.createElement(icons_1.CustomIconTable, { icon: 'edit', onClick: function () {
                    onSelectItemEdit(item);
                } })),
        permissions.delete && react_1.default.createElement("td", null,
            react_1.default.createElement(dialogs_1.DeleteDialog, { element_name: item.name, element_type: 'Grupo Permisos', onDelete: function () { return onDelete(item); } })),
        permissions.detail && react_1.default.createElement("td", null,
            react_1.default.createElement(icons_1.CustomIconTable, { icon: 'eye', onClick: function () {
                    onSelectItemDetail(item);
                } }))));
});
exports.PermissionGroupCRUDTableItem = PermissionGroupCRUDTableItem;
