"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var CardContent_1 = __importDefault(require("@material-ui/core/CardContent"));
var Card_1 = __importDefault(require("@material-ui/core/Card/Card"));
var Typography_1 = __importDefault(require("@material-ui/core/Typography"));
var ProfileImage = function (props) {
    var user = props.user, classes = props.classes, onProfileImageUpload = props.onProfileImageUpload;
    return (react_1.default.createElement(Card_1.default, { className: classes.card },
        react_1.default.createElement(CardContent_1.default, null,
            react_1.default.createElement(Typography_1.default, { variant: "h5", gutterBottom: true, color: "primary" }, "Imagen Perfil"),
            react_1.default.createElement("img", { src: user.profile_image_url, height: "200", width: "200", alt: 'Image profile' }),
            react_1.default.createElement("input", { type: 'file', onChange: onProfileImageUpload, accept: "image/*" }))));
};
exports.ProfileImage = ProfileImage;
