"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var redux_form_1 = require("redux-form");
var forms_1 = require("../../../../ui/forms");
var dialogs_1 = require("../../../../ui/dialogs");
var UserFormBase_1 = require("../UserFormBase");
var core_1 = require("@material-ui/core");
var registration_form_validate_1 = __importDefault(require("./registration_form_validate"));
var react_redux_1 = require("react-redux");
var RegistrationForm = react_1.memo(function (props) {
    var onLoadCities = props.onLoadCities, onFetchCity = props.onFetchCity, clearCities = props.clearCities, createUser = props.createUser, pristine = props.pristine, submitting = props.submitting, reset = props.reset, onCancel = props.onCancel, handleSubmit = props.handleSubmit, modal_open = props.modal_open, singular_name = props.singular_name, children = props.children, error = props.error, fullScreen = props.fullScreen;
    var dispatch = react_redux_1.useDispatch();
    var onSubmit = function (v) { return dispatch(createUser(__assign(__assign({}, v), { registration: true }), { callback: function () { return onCancel(); } })); };
    return (react_1.default.createElement(dialogs_1.FormDialog, { onCancel: onCancel, onSubmit: handleSubmit(onSubmit), reset: reset, initialValues: null, submitting: submitting, modal_open: modal_open, pristine: pristine, element_type: singular_name, submit_text_boton: 'Registrar', fullScreen: fullScreen },
        react_1.default.createElement(UserFormBase_1.UserFormBase, { fullScreen: fullScreen, clearCities: clearCities, onFetchCity: onFetchCity, onLoadCities: onLoadCities }),
        react_1.default.createElement(forms_1.MyTextFieldSimple, { type: 'password', className: "col-12 col-md-6", label: 'Contrase\u00F1a', name: 'password' }),
        react_1.default.createElement(forms_1.MyTextFieldSimple, { type: 'password', className: "col-12 col-md-6", label: 'Comprobaci\u00F3n de contrase\u00F1a', name: 'password2' }),
        react_1.default.createElement("div", { className: 'mt-3' },
            react_1.default.createElement(core_1.Typography, { variant: "caption", gutterBottom: true, color: "error" }, error && react_1.default.createElement("strong", null, error))),
        children && children));
});
exports.RegistrationForm = RegistrationForm;
exports.RegistrationForm = RegistrationForm = redux_form_1.reduxForm({
    form: "registrationForm",
    validate: registration_form_validate_1.default,
    enableReinitialize: true
    // @ts-ignore
})(RegistrationForm);
