import { AxiosPromise } from 'axios';
import { IOptions } from '../../interfaces';
declare const createRequest: (request: AxiosPromise, options: IOptions) => Promise<void>;
declare const fetchListPostURLParameters: (url: string, method: string, values: {}, options?: IOptions) => Promise<void>;
declare const fetchListGet: (url: string, options?: IOptions) => Promise<void>;
declare const fetchListGetURLParameters: (url: string, options?: IOptions) => Promise<void>;
declare const fetchObject: (url: string, id: number, options?: IOptions) => Promise<void>;
declare const updateObject: (url: string, id: number, values: {}, options?: IOptions, config?: {}) => Promise<void>;
declare const createObject: (url: string, values: {}, options?: IOptions) => Promise<void>;
declare const deleteObject: (url: string, id: number, options?: IOptions) => Promise<void>;
declare const uploadFile: (url: string, id: number, method: string, values: {}, options?: IOptions) => Promise<void>;
declare const callApiMethodPost: (url: string, id: number, method: string, options?: IOptions) => Promise<void>;
declare const callApiMethodPostParameters: (url: string, id: number, method: string, values: {}, options?: IOptions) => Promise<void>;
declare const fetchObjectWithParameterPDF: (url: string, options?: IOptions) => Promise<void>;
declare const callApiMethodPostParametersPDF: (url: string, id: number, method: string, parameters: {}, options?: IOptions) => Promise<void>;
declare const fetchApiRestGet: (url: string, options?: IOptions, additional_header?: {}) => Promise<void>;
export { createRequest, fetchListPostURLParameters, fetchListGet, fetchListGetURLParameters, fetchObject, updateObject, createObject, deleteObject, uploadFile, callApiMethodPost, fetchApiRestGet, callApiMethodPostParameters, fetchObjectWithParameterPDF, callApiMethodPostParametersPDF };
