"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var index_1 = __importDefault(require("axios/index"));
var asyncValidateFunction = function (values, dispatch, props, blurredField, URL) {
    var initialValues = props.initialValues, asyncBlurFields = props.asyncBlurFields;
    return new Promise(function (resolve, reject) {
        var _a;
        var parametros = "";
        asyncBlurFields.map(function (campo) {
            if (initialValues) {
                if (initialValues[campo] !== values[campo]) {
                    if (values[campo]) {
                        parametros += "&" + campo + "=" + values[campo];
                    }
                }
            }
            else {
                if (values[campo]) {
                    parametros += "&" + campo + "=" + values[campo];
                }
            }
        });
        var FULL_URL = URL + "?" + parametros + "&format=json";
        var headers = { "Content-Type": "application/json" };
        if (localStorage.token) {
            headers = __assign(__assign({}, headers), (_a = {}, _a["Authorization"] = "Token " + localStorage.token, _a));
        }
        index_1.default.defaults.headers = headers;
        index_1.default.get(FULL_URL)
            .then(function (request) {
            resolve(request.data);
        })
            .catch(function (errors) {
            reject(errors.response.data);
        });
    });
};
exports.asyncValidateFunction = asyncValidateFunction;
